- Home
- Resources
- ParcelResource
GET /clusters/{clusterName}/parcels/products/{product}/versions/{version}
Retrieves detailed information about a parcel.
Request Parameters
| name |
type |
description |
default |
| clusterName |
path |
|
n/a |
| product |
path |
the product |
n/a |
| version |
path |
the version |
n/a |
Response Body
| media type |
data type |
description |
| application/json |
ApiParcel
(JSON) |
the parcel |
POST /clusters/{clusterName}/parcels/products/{product}/versions/{version}/commands/activate
A synchronous command that activates the parcel on the cluster.
Since it is synchronous, the result is known immediately upon return.
Request Parameters
| name |
type |
description |
default |
| clusterName |
path |
|
n/a |
| product |
path |
the product |
n/a |
| version |
path |
the version |
n/a |
Response Body
| media type |
data type |
description |
| application/json |
ApiCommand
(JSON) |
synchronous command result |
POST /clusters/{clusterName}/parcels/products/{product}/versions/{version}/commands/cancelDistribution
A synchronous command that cancels the parcel distribution.
Since it is synchronous, the result is known immediately upon return.
Request Parameters
| name |
type |
description |
default |
| clusterName |
path |
|
n/a |
| product |
path |
the product |
n/a |
| version |
path |
the version |
n/a |
Response Body
| media type |
data type |
description |
| application/json |
ApiCommand
(JSON) |
synchronous command result |
POST /clusters/{clusterName}/parcels/products/{product}/versions/{version}/commands/cancelDownload
A synchronous command that cancels the parcel download.
Since it is synchronous, the result is known immediately upon return.
Request Parameters
| name |
type |
description |
default |
| clusterName |
path |
|
n/a |
| product |
path |
the product |
n/a |
| version |
path |
the version |
n/a |
Response Body
| media type |
data type |
description |
| application/json |
ApiCommand
(JSON) |
synchronous command result |
POST /clusters/{clusterName}/parcels/products/{product}/versions/{version}/commands/deactivate
A synchronous command that deactivates the parcel on the cluster.
Since it is synchronous, the result is known immediately upon return.
Request Parameters
| name |
type |
description |
default |
| clusterName |
path |
|
n/a |
| product |
path |
the product |
n/a |
| version |
path |
the version |
n/a |
Response Body
| media type |
data type |
description |
| application/json |
ApiCommand
(JSON) |
synchronous command result |
POST /clusters/{clusterName}/parcels/products/{product}/versions/{version}/commands/removeDownload
A synchronous command that removes the downloaded parcel.
Since it is synchronous, the result is known immediately upon return.
Request Parameters
| name |
type |
description |
default |
| clusterName |
path |
|
n/a |
| product |
path |
the product |
n/a |
| version |
path |
the version |
n/a |
Response Body
| media type |
data type |
description |
| application/json |
ApiCommand
(JSON) |
synchronous command result |
POST /clusters/{clusterName}/parcels/products/{product}/versions/{version}/commands/startDistribution
A synchronous command that starts the distribution of the parcel
to the cluster.
Since it is synchronous, the result is known immediately upon return.
In order to see the progress of the distribution, a call
to readParcel() needs to be made.
Request Parameters
| name |
type |
description |
default |
| clusterName |
path |
|
n/a |
| product |
path |
the product |
n/a |
| version |
path |
the version |
n/a |
Response Body
| media type |
data type |
description |
| application/json |
ApiCommand
(JSON) |
synchronous command result |
POST /clusters/{clusterName}/parcels/products/{product}/versions/{version}/commands/startDownload
A synchronous command that starts the parcel download.
Since it is synchronous, the result is known immediately upon return.
In order to see the progress of the download, a call
to readParcel() needs to be made.
Request Parameters
| name |
type |
description |
default |
| clusterName |
path |
|
n/a |
| product |
path |
the product |
n/a |
| version |
path |
the version |
n/a |
Response Body
| media type |
data type |
description |
| application/json |
ApiCommand
(JSON) |
synchronous command result |
POST /clusters/{clusterName}/parcels/products/{product}/versions/{version}/commands/startRemovalOfDistribution
A synchronous command that removes the distribution from the hosts in
the cluster.
Since it is synchronous, the result is known immediately upon return.
In order to see the progress of the removal, a call
to readParcel() needs to be made.
Request Parameters
| name |
type |
description |
default |
| clusterName |
path |
|
n/a |
| product |
path |
the product |
n/a |
| version |
path |
the version |
n/a |
Response Body
| media type |
data type |
description |
| application/json |
ApiCommand
(JSON) |
synchronous command result |